[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: rpm problem, now mplayer/gpm is busted :-(



On Thu, 11 Dec 2008 11:48:52 -0500 (EST), Steven wrote:

> Now I have a couple of questions:
> 
> *) "I see that it depends on libgpm.so.2 via libaa.so.1" What did you mean 
> by that?

That /usr/bin/mplayer doesn't use Gpm directly:
$ objdump -x /usr/bin/mplayer|grep -i NEEDED|grep gpm

> How did you know that there was a dependancy on libgpm 
> because of libaa-libs?

$ rpm -q --whatrequires libgpm.so.2
gpm-1.20.5-1.fc10.i386
vim-enhanced-7.2.025-2.fc10.i386
aalib-libs-1.4.0-0.16.rc5.fc10.i386
$ objdump -x /usr/bin/mplayer|grep -i NEEDED|grep libaa
  NEEDED               libaa.so.1

> *) Is it an installation bug that mplayer was incorrectly updated when I 
> went from F9 to F10? Should it not have *removed* mplayer instead if 
> libaa-libs was not a part of the install dvd?

Rather you should have enabled RPM Fusion at upgrade-time. 


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]